Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Create a price list

POST/price_lists
Authorization
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
seller_idintegerrequired
The seller this price list belongs to.
namestringrequired
Human-readable label for this price list.
prices_include_taxboolean
Whether prices in this list already include tax.
use_price_comparison_for_vol_discountsboolean
Use price comparison values when computing volume discounts.
contact_group_idsinteger[]
Contact groups this price list applies to. On update, this list is additive (existing group ids are not removed).
taxobject
Show properties
namestring
ratenumber
Tax rate, between 0 and 1.
Responses
201Price list created
_linksHalLinks
idinteger
namestring
currency_codestring
prices_include_taxboolean
use_price_comparison_for_vol_discountsboolean
taxnumber
contact_groups_countinteger
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X POST "https://api.onbolder.com/v2/price_lists" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "seller_id": 7,
  "name": "Wholesale EUR",
  "prices_include_tax": false
}'
Response
{
  "id": 10,
  "name": "Wholesale EUR",
  "currency_code": "EUR",
  "created_on": "2024-01-15T10:00:00Z",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/price_lists/10"
    },
    "products:add_price_item": {
      "href": "https://api.onbolder.com/v2/price_lists/10/items",
      "method": "post"
    }
  }
}